FreeMat

- Main Page
- Related Pages

vtkImageConstantPad

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageConstantPad changes the image extent of its input. Any pixels outside of the original image extent are filled with a constant value (default is 0.0).

To create an instance of class vtkImageConstantPad, simply invoke its constructor as follows

      obj = vtkImageConstantPad

# Methods

The class vtkImageConstantPad has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageConstantPad class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageConstantPad = obj.NewInstance ()`
- `vtkImageConstantPad = obj.SafeDownCast (vtkObject o)`
- `obj.SetConstant (double )` - Set/Get the pad value.
- `double = obj.GetConstant ()` - Set/Get the pad value.